### Constructor

# Vips Image mask_fractal

#### Declaration [src]

    int
    vips_mask_fractal (
      VipsImage** out,
      int width,
      int height,
      double fractal_dimension,
      ...
    )

#### Description [src]

This operation should be used to create fractal images by filtering the power spectrum of Gaussian white noise.

See `vips_gaussnoise()`.

Optional arguments

- `nodc`: `gboolean`, don’t set the DC pixel
- `reject`: `gboolean`, invert the filter sense
- `optical`: `gboolean`, coordinates in optical space
- `uchar`: `gboolean`, output a uchar image

See also

`vips_mask_ideal()`.

This constructor is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`width`

  Type: `int`

  Image size.

`height`

  Type: `int`

  Image size.

`fractal_dimension`

  Type: `double`

  Fractal dimension.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.